---
title: Document.title
slug: Web/API/Document/title
tags:
  - API
  - Command API
  - Document
  - HTML DOM
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <strong><code>document.title</code></strong> property gets or sets the current <a href="/en-US/docs/Web/HTML/Element/title">title</a> of the document.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>docTitle</var> = <var>document</var>.title;
</pre>

<p><var>docTitle</var> is a string containing the <var>document</var>'s title. If the title was overridden by setting <code>document.title</code>, it contains that value. Otherwise, it contains the title specified in the markup (see the {{Anch("Notes")}} below).</p>

<pre class="syntaxbox notranslate"><var>document</var>.title = <var>newTitle</var>;
</pre>

<p><code><var>newTitle</var></code> is the new title of the document. The assignment affects the return value of <code>document.title</code>, the title displayed for the document (e.g. in the titlebar of the window or tab), and it also affects the DOM of the document (e.g. the content of the <code>&lt;title&gt;</code> element in an HTML document).</p>

<h2 id="Example">Example</h2>

<pre class="brush:js notranslate">&lt;!DOCTYPE html&gt;
&lt;html&gt;
&lt;head&gt;
  &lt;title&gt;Hello World!&lt;/title&gt;
&lt;/head&gt;
&lt;body&gt;

  &lt;script&gt;
    alert(document.title); // displays "Hello World!"
    document.title = "Goodbye World!";
    alert(document.title); // displays "Goodbye World!"
  &lt;/script&gt;

&lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Notes">Notes</h2>

<p>This property applies to HTML, SVG, XUL, and other documents in Gecko.</p>

<p>For HTML documents the initial value of <code>document.title</code> is the text content of the <code>&lt;title&gt;</code> element. For XUL it's the value of the {{XULAttr("title")}} attribute of the {{XULElem("window")}} or other top-level XUL element.</p>

<p>In XUL, accessing <code>document.title</code> before the document is fully loaded has undefined behavior: <code>document.title</code> may return an empty string and setting <code>document.title</code> may have no effect.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG','#document.title','document.title')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.title")}}</p>
